@echo off
:: created by pdelaage on 20100928
:: usage : makece ARMV4|X86|... other targets: see bat scripts in evc/bin
:: Note : adapt EVC/bin/WCE<target>.bat scripts
Title WCE COMPAT

:: !!!!!!!!!!!!!!
:: CUSTOMIZE THIS according to your EVC INSTALLED ENVIRONMENT
:: !!!!!!!!!!!!!!

set OSVERSION=WCE420
set PLATFORM=STANDARDSDK
set WCEROOT=C:\Program Files\MSEVC4
set SDKROOT=C:\Program Files\Microsoft SDKs

:: !!!!!!!!!!!!!!!!!!
:: END CUSTOMIZATION
:: !!!!!!!!!!!!!!!!!!

:: Define TARGET CPU 
:: -----------------


:: define "new" target (useful if one wants to compile for various WCE target CPUs)
if "%1"=="" echo "USAGE : makece TARGETCPU other_make_options..."
if "%1"=="" echo "TARGETCPU=(ARMV4|ARMV4I|ARMV4T|R4100|R4111|R4300|SH3|SH4|X86|X86EM|X86EMnset), other cpu: see wcedefs.mak and bat scripts in evc/bin"
if "%1"=="" echo "do not hesitate to adapt this script for CPU and/or better compilation flags!"
if "%1"=="" exit /B

:: old code to default to ARMV4, but it is better that users are WARNED that the script now need an explicit target!
::if "%1"=="" set NEWTGTCPU=ARMV4

if NOT DEFINED TARGETCPU set TARGETCPU=XXXXX
if NOT "%1"=="" set NEWTGTCPU=%1
if NOT "%1"=="" shift

echo WCE TARGET CPU is %NEWTGTCPU%

rem Adjust MS EVC env vars
rem ----------------------

rem Check MSenv vars against our ref values

set isenvok=0
if "%NEWTGTCPU%"=="%TARGETCPU%"  set /A "isenvok+=1"

if %isenvok%==1 echo WCE ENVIRONMENT OK
if %isenvok%==1 goto envisok

:: if env is NOT ok, adjust MS EVC env vars to be used by MS WCE<CPU>.BAT
:: (this is to avoid repetitive pollution of PATH)

echo WCE TARGET CPU changed
:: , destroying every obj files
:: no more if sep dirs del .\obj\*.obj
::if EXIST .\obj\%TARGETCPU% del .\obj\%TARGETCPU%\*.obj

:: if env is NOT ok, adjust MS EVC env vars to be used by MS WCE<CPU>.BAT
:: (this is to avoid repetitive pollution of PATH)

echo WCE ENVIRONMENT ADJUSTED

::call "C:\Progra~1\MSEVC4\EVC\WCE420\BIN\WCE%TGTCPU%.BAT"
call "%WCEROOT%\EVC\%OSVERSION%\BIN\WCE%NEWTGTCPU%.BAT"

set TARGETCPU=%NEWTGTCPU%
:envisok

::exit /B

rem make everything
rem ---------------

nmake /NOLOGO -f makefile %1 %2 %3 %4 %5 %6 %7 %8 %9
